Subject: RE: [Simple] Re: draft-levin-simple-interdomain-reqs-02

From: "Orit Levin" <[email-masked]>
Date: Wed, 2 Mar 2005 15:58:23 -0800

Paul,
Our goal is to gather SIP/SIMPLE interdomain operation experience,
document it in a publicly available document and most probably publish
it as an informational RFC.

Thank you for the comments and we will definitely clarify the language
going forward. If you or additional parties are interested in promoting
this work in IETF or taking a different approach, we can start
discussing during the next week.

Thanks,
Orit. 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Paul Kyzivat
> Sent: Wednesday, March 02, 2005 1:10 PM
> To: Simple WG
> Subject: [Simple] Re: draft-levin-simple-interdomain-reqs-02
> 
> Orit,
> 
> There are lots of things in this draft that might be worthy 
> of discussion. There are a few things that I especially want 
> to bring up:
> 
> 5.3.1 Ensuring User Validity
> 
>     "An edge proxy MAY automatically periodically generate 
> re-SUBSCRIBEs
>      towards an external SIP/SIMPLE community..."
> 
> Proxies aren't allowed to initiate new requests this way. The 
> resubscribes need to come from the watcher. I don't know what 
> you intended here.
> 
>     "In the absence of any bilateral agreement
>      between the administrative authorities for each community,
>      subscriptions to the same URI MUST NOT occur more frequently than
>      every two hours."
> 
> That would be really inconvenient if the expiration time on 
> the subscription was less than two hours. Seems like it would 
> be better to suggest that subscriptions not be gratuitously 
> refreshed more frequently than implied by the expiration time 
> of the subscription. I say "gratuitously" because there are 
> other valid reasons to resubscribe:
> - to change parameters (e.g. filters)
> - to get a full state snapshot when synchronization has been lost
>    with partial notification state
> 
> 6.3.2 MESSAGE inside INVITE Session
> 
> 1) I am somewhat concerned about publishing a document thru 
> the ietf recommending use of MESSAGE inside of an INVITE dialog. I am
> *especially* concerned about blessing the use of "m=message 
> 5060 sip <SIP URI>". AFAIK the latter is not a valid m-line for SDP.
> 
> 2) Regarding: "The recipient's UA MUST ignore all INFO 
> messages ... that it doesn't understand."
> 
> I'm not sure what you mean by "doesn't understand". I presume 
> you mean that the body isn't understood, since headers that 
> aren't understood are always to be ignored. That would 
> perhaps make sense if content-disposition handling parameter 
> is set to "optional" and if the recipient supports the INFO 
> method at all. But it is contrary to 3261 to require support 
> of INFO or the ignoring of required but ununderstood body parts.
> 
> 	Thanks,
> 	Paul
> 
> 
> 
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple